> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Create a workflow comment POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflows/{workflow_id}/versions/{version}/comments Content-Type: application/vnd.contentful.management.v1+json Creates a comment for a specific workflow version; only one comment per version is supported. Accessible to any user with read access to workflows. Reference: https://contentful.com/developers/docs/references/content-management-api/workflow-comments/create-a-workflow-comment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `workflow_id` (string, required) — ID of the workflow in form of a string - `version` (integer, required) — Version number of the workflow ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 201 Created - Resource created successfully - `map from string to any` ## Examples **Request** ```json { "body": "My first workflow comment" } ``` **Response** ```json { "body": "My first workflow comment", "sys": { "createdAt": "2025-01-31T20:50:17.000Z", "createdBy": { "sys": { "id": "99SummRPRBowauM8T5Ljb34", "linkType": "AppDefinition", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "someCommentId", "parent": "null", "parentEntity": { "sys": { "id": "fh6dsmnLKsh468", "linkType": "Workflow", "type": "Link", "version": 7 } }, "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Comment", "updatedAt": "2025-04-07T00:06:05.000Z", "updatedBy": { "sys": { "id": "1xGZIRXr2WPnsLkKfREo0z", "linkType": "User", "type": "Link" } }, "version": 1 } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) await client.comment.create( { spaceId: currentSpaceId, environmentId: currentEnvironmentId, parentEntityId: currentWorkflow.sys.id, parentEntityType: 'Workflow', parentEntityVersion: currentWorkflow.sys.version, }, { body: workflowComment, } ); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```